<?php 

include_once(CLASSPATH ."payment/ps_payanyway.cfg.php");

global $VM_LANG;
$VM_LANG->load('payanyway');

$order_number		= $db->f("order_id");
$total_sum_to_pay 	= sprintf("%.2f", $db->f("order_total"));
$order_currency     = $db->f('order_currency');

$q = "select payment_method_id FROM #__{vm}_order_payment WHERE order_id = '$order_number'";
$db->query($q);
$payment_method_id = $db->f('payment_method_id');

$q = "select payment_class, payment_method_name FROM #__{vm}_payment_method WHERE payment_method_id = '".$payment_method_id."'";
$db->query($q);
$payment_class = $db->f('payment_class');
$payment_method_title = $db->f('payment_method_name');
include_once(CLASSPATH ."payment/{$payment_class}.cfg.php");


$MNT_ID = MNT_ID;
$MNT_TEST_MODE = MNT_TEST_MODE;
$MNT_SIGNATURE = md5(MNT_ID . $order_number . $total_sum_to_pay . $order_currency . MNT_TEST_MODE . DATA_INTEGRITY_CODE);				 
$MNT_PAYMENT_SERVER = MNT_PAYMENT_SERVER;
$PAYANYWAY_ACTION = (defined('PAYANYWAY_ACTION')) ? PAYANYWAY_ACTION : "https://".MNT_PAYMENT_SERVER."/assistant.htm";
$PAYMENTSYSTEM_UNITID = (defined('PAYMENTSYSTEM_UNITID')) ? PAYMENTSYSTEM_UNITID : '';
$PAYMENTSYSTEM_LIMITIDS = (defined('PAYMENTSYSTEM_LIMITIDS')) ? PAYMENTSYSTEM_LIMITIDS : '';
$PAYMENTSYSTEM_ACCOUNTID = (defined('PAYMENTSYSTEM_ACCOUNTID')) ? PAYMENTSYSTEM_ACCOUNTID : '';
switch ($payment_class)
{
	case 'ps_payanyway_webmoney':
		$additional = "
		<label>".$VM_LANG->_('PAYANYWAY_WEBMONEY_ACCOUNTID_TITLE')."</label>
		<select name='additionalParameters.accountId'>
			<option value='2'>WMR</option>
			<option value='3'>WMZ</option>
			<option value='4'>WME</option>
		</select><br/><br/>
		";
		break;
	case 'ps_payanyway_moneymail':
		$additional = "
		<label>".$VM_LANG->_('PAYANYWAY_MONEYMAIL_BUYEREMAIL_TITLE')."</label>
		<input type='text' name='additionalParameters.buyerEmail' value=''><br/><br/>
		";
		break;
	case 'ps_payanyway_postal':
		$additional = "
		<table><tr>
			<td><label>".$VM_LANG->_('PAYANYWAY_MAILOFRUSSIAINDEX_TITLE')."</label></td>
			<td><input type='text' name='additionalParameters.mailofrussiaSenderIndex' value=''></td>
		</tr><tr>
			<td><label>".$VM_LANG->_('PAYANYWAY_MAILOFRUSSIAADDRESS_TITLE')."</label></td>
			<td><input type='text' name='additionalParameters.mailofrussiaSenderAddress' value=''></td>
		</tr><tr>
			<td><label>".$VM_LANG->_('PAYANYWAY_MAILOFRUSSIANAME_TITLE')."</label></td>
			<td><input type='text' name='additionalParameters.mailofrussiaSenderName' value=''></td>
		</tr></table><br/><br/>
		";
		break;
	case 'ps_payanyway_euroset':
		$additional = "
		<label>".$VM_LANG->_('PAYANYWAY_EUROSET_RAPIDAPHONE_TITLE')."</label>
		<input type='text' name='additionalParameters.rapidaPhone' value=''><br/><br/>
		";
		break;
	default:
		$additional = '';
		break;
}
?>

<a href="http://www.payanyway.ru" target="_blank">
	<div style='background: url("<?php echo IMAGEURL ?>ps_image/logo.png");height: 60px;width: 220px;'></div>
</a>
<form action="<?php echo $PAYANYWAY_ACTION ?>" method="post">
	<font class="tablebodytext">
		<br><?php echo $VM_LANG->_('PAYMENT_PAYANYWAY_TITLE') ?><br>
		<br><?php echo $VM_LANG->_('PAYMENT_PAYANYWAY_ORDER') ?><b><?php echo $order_number?></b><br>
		<br><?php echo $VM_LANG->_('PAYMENT_PAYANYWAY_TO_PAY') ?><b><?php echo $total_sum_to_pay.' '.$order_currency ?></b>
		<p>
			<input type="hidden" name="MNT_ID" value="<?php echo MNT_ID; ?>">
			<input type="hidden" name="MNT_TRANSACTION_ID" value="<?php echo $order_number; ?>">
			<input type="hidden" name="MNT_CURRENCY_CODE" value="<?php echo $order_currency; ?>">
			<input type="hidden" name="MNT_AMOUNT" value="<?php echo $total_sum_to_pay; ?>">
			<input type="hidden" name="MNT_TEST_MODE" value="<?php echo MNT_TEST_MODE; ?>">
			<input type="hidden" name="MNT_SIGNATURE" value="<?php echo $MNT_SIGNATURE; ?>">
			<?php if (!empty($PAYMENTSYSTEM_UNITID)): ?>
			<input type="hidden" name="followup" value="true" />
			<input type="hidden" name="javascriptEnabled" value="true" />
			<input type="hidden" name="paymentSystem.unitId" value="<?php echo $PAYMENTSYSTEM_UNITID; ?>">
			<?php endif; ?>
			<?php if (!empty($PAYMENTSYSTEM_LIMITIDS)): ?>
			<input type="hidden" name="paymentSystem.limitIds" value="<?php echo $PAYMENTSYSTEM_LIMITIDS; ?>">
			<?php endif; ?>
			<?php if (!empty($PAYMENTSYSTEM_ACCOUNTID)): ?>
			<input type="hidden" name="paymentSystem.accountId" value="<?php echo $PAYMENTSYSTEM_ACCOUNTID; ?>">
			<?php endif; ?>
			<input type="hidden" name="MNT_SUCCESS_URL" value="<?php echo URL.'index.php?page=checkout.generic_result&option=com_virtuemart&result=success'; ?>">
			<input type="hidden" name="MNT_FAIL_URL" value="<?php echo URL.'index.php?page=checkout.generic_result&option=com_virtuemart&result=cancel'; ?>">
			<input type="hidden" name="payment_class" value="<?php echo $payment_class; ?>" />
			<?php echo $additional; ?>
			<input type="submit" value="<?php echo $VM_LANG->_('PAYMENT_PAYANYWAY_BUTTON') ?>">
		</p>
	</font>
</form>
 
 
